# Function RotatedRectangleFactory

- RotatedRectangleFactory(
  color:
  | number
  | IndexedCollection
  | [number, number, number]
  | [number, number, number, number],
  ): typeof RotatedRectangleBase

  #### Parameters

  - color:
    | number
    | IndexedCollection
    | [number, number, number]
    | [number, number, number, number]

  #### Returns typeof RotatedRectangleBase

  - Defined in drawables/shapes/rotated-rectangle-factory.ts:22